from utils.databases.superclasses.database_superclasses import Database


class EggnogDatabase(Database):
    name = "eggnog"
    valid_types = [name]
    mandatory_keys = Database.mandatory_keys[:]

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)

    def get_og_annotations_file(self, *args, **kwargs):
        return self.join_with_db_path(self._config["files"]['og_annotations'], *args, **kwargs)

    def get_fun_cats_file(self, *args, **kwargs):
        return self.join_with_db_path(self._config["files"]['fun_cats'], *args, **kwargs)

    def get_data_dir(self, *args, **kwargs):
        return self.join_with_db_path(self._config["files"]["emapper_data"], *args, **kwargs)
